<?php
declare (strict_types = 1);

namespace app\txx\model;

;use think\Model;

/**
 * @mixin \think\Model
 */
class ActGood extends Model
{
    protected $createTime='addtime';
    protected $updateTime='updatetime';    //
     public static $statusCn=['无状态','待生成券码信息','待同步券码信息','已同步券码信息','券码生成失败','券码同步失败'];
    //
    public function act(){
        return $this->belongsTo(Act::class,'actCode','actCode')->bind(['act_anme','startTime','endTime','company_name','contactor','mobile','act_status'=>'status']);
    }

    public function Promocode(){
        return $this->belongsTo(YzActivityPromoCode::class,'id','act_good_id')->bind(['title','code','fetch_url','promocode_status'=>'status','promocode_remark'=>'remark']);
    }
    public function yzGood(){
        return $this->belongsTo(YzGood::class,'yz_good_code','item_no')->bind(['good_name'=>'title','detail_url']);
    }

    public function platformYz(){
        return $this->belongsTo(PlatformYouzan::class,'yz_good_code','skuCode')->bind(['plat_code','spuCode','sale_price','final_price','platform_name','good_name',"unit_name","brand_name","cat_name","cat_search"]);
    }
}
